SystemOrganization addCategory: #GODSocialNetIOTests!

TestCase subclass: #SNETFacebookFetcherTest
	instanceVariableNames: 'facebookFilter facebookSearch'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODSocialNetIOTests'!

!SNETFacebookFetcherTest methodsFor: 'initialize-release' stamp: 'T.A. 10/5/2014 20:19'!
setUp
	facebookFilter := 'post'.
	facebookSearch := SNETFacebookFetcher new.! !

!SNETFacebookFetcherTest methodsFor: 'tests' stamp: 'LHC 9/28/2014 23:42'!
testFacebookFetcherSearch
	"Tests a simple Facebook fetch."
	|result|

	result := facebookSearch search: facebookFilter.

	self assert: (result size) > 0.! !

TestCase subclass: #SNETTwitterFetcherTest
	instanceVariableNames: 'twitterFilter twitterSearch'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODSocialNetIOTests'!

!SNETTwitterFetcherTest methodsFor: 'initialize-release' stamp: 'T.A. 10/5/2014 20:20'!
setUp
	twitterFilter := 'post'.
	twitterSearch := SNETTwitterFetcher new.! !

!SNETTwitterFetcherTest methodsFor: 'tests' stamp: 'LHC 9/28/2014 23:42'!
testTwitterFetcherSearch
	"Tests a simple Twitter fetch."
	|result|

	result := twitterSearch search: twitterFilter.

	self assert: (result size) > 0.! !
